For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • POSTSend a transactional email
      • GETGet the list of transactional emails on the basis of allowed filters
      • GETGet the personalized content of a sent transactional email
      • DELDelete scheduled emails by batchId or messageId
      • GETFetch scheduled emails by batchId or messageId
      • POSTDelete hardbounces
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APITransactional email

Delete hardbounces

POST
https://api.brevo.com/v3/smtp/deleteHardbounces
POST
/v3/smtp/deleteHardbounces
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.deleteHardbounces({});
8}
9main();
1{}

Delete hardbounces. To use carefully (e.g. in case of temporary ISP failures)

Was this page helpful?
Previous

Get your transactional email activity aggregated per day

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

values to delete hardbounces
contactEmailstringOptionalformat: "email"
Target a specific email address
endDatestringOptional

Ending date (YYYY-MM-DD) of the time period for deletion. The hardbounces until this date will be deleted. Must be greater than or equal to the startDate

startDatestringOptional

Starting date (YYYY-MM-DD) of the time period for deletion. The hardbounces occurred after this date will be deleted. Must be less than or equal to the endDate

Response

No matching hardbounces found for the given filters. The request was processed successfully but no records were deleted.

Errors

400
Bad Request Error